@addtogroup WritingInputEditors

In the Vuo Editor, a user can edit the value of certain types of input ports by double-clicking on the port, then using the widget that pops up. For example, the user can double-click on a @vuoType{VuoText} input port to pop up a text box, or a @vuoType{VuoBoolean} input port to pop up a menu, or a @vuoType{VuoInteger} input port to pop up a spin box or slider. If a port type doesn't already have a input editor, you can create one. 


## Getting started

The easiest way to begin a new type is with the Qt Creator wizard. 

@todo: Qt Creator wizard for custom input editors - https://b33p.net/kosada/node/4015. Describe how to create a input editor project, how to build, how to install. 


## Implementation

You create a input editor by implementing a [Qt plugin](http://qt-project.org/doc/qt-5.0/qtcore/plugins-howto.html#the-lower-level-api-extending-qt-applications) C++ class that inherits from the VuoInputEditor class or one of its derived classes (VuoInputEditorWithMenu, VuoInputEditorWithDialog, VuoInputEditorWithLineEdit). See those classes for details. 
