TEMPLATE = app
CONFIG -= qt app_bundle
CONFIG += console

# Simple standalone qmake project; does not include "vuo.pri" like most other project files in the Vuo source tree.

SOURCES += \
	CompileAndRunInNewProcess.cc


# Find Vuo.framework
exists(../../../framework/framework.pro) {
	VUO_FRAMEWORK_PATH=../../../framework
} else {
	exists($$system(echo $HOME)/Library/Frameworks/Vuo.framework) {
		VUO_FRAMEWORK_PATH=$$system(echo $HOME)/Library/Frameworks
	} else {
		exists(/Library/Frameworks/Vuo.framework) {
			VUO_FRAMEWORK_PATH=/Library/Frameworks
		} else {
			error("Couldn't find Vuo.framework.")
		}
	}
}

# Find the example composition folder
exists(../../composition/Count.vuo) {
	VUO_COMPOSITION_PATH=../../composition
} else {
	error("Couldn't find example composition Count.vuo.")
}


QMAKE_CXX = $$VUO_FRAMEWORK_PATH/Vuo.framework/MacOS/Clang/bin/clang++
QMAKE_LINK = $$QMAKE_CXX
QMAKE_CXXFLAGS += -F $$VUO_FRAMEWORK_PATH -DVUO_COMPOSITION_PATH=\\\"$$VUO_COMPOSITION_PATH\\\"
QMAKE_LFLAGS += -F $$VUO_FRAMEWORK_PATH -mmacosx-version-min=10.6
QMAKE_RPATHDIR = $$VUO_FRAMEWORK_PATH
QMAKE_LFLAGS_RPATH = -rpath$$LITERAL_WHITESPACE

# Rebuild this example when Vuo.framework's headers change.
DEPENDPATH += $$VUO_FRAMEWORK_PATH/Vuo.framework/Headers

LIBS += -framework Vuo

# In an app you plan to distribute, you should copy the Vuo framework to $${TARGET}.app/Contents/Frameworks,
# and change QMAKE_RPATHDIR to $${TARGET}.app/Contents/Frameworks.
