TEMPLATE = app
CONFIG -= qt

# Simple standalone qmake project; does not include "vuo.pri" like most other project files in the Vuo source tree.

QMAKE_INFO_PLIST = Info.plist

resources.files = \
	MainMenu.nib \
	RippleImage.vuo \
	OttoOperatesTheRoller.jpg
resources.path = Contents/Resources
QMAKE_BUNDLE_DATA += resources

OBJECTIVE_SOURCES += \
	main.m \
	RunImageFilterView.mm

OTHER_FILES += \
	RippleImage.vuo


# Find Vuo.framework
exists(../../../framework/framework.pro) {
	VUO_FRAMEWORK_PATH=../../../framework
} else {
	exists($$system(echo $HOME)/Library/Frameworks/Vuo.framework) {
		VUO_FRAMEWORK_PATH=$$system(echo $HOME)/Library/Frameworks
	} else {
		exists(/Library/Frameworks/Vuo.framework) {
			VUO_FRAMEWORK_PATH=/Library/Frameworks
		} else {
			error("Couldn't find Vuo.framework.")
		}
	}
}


QMAKE_CC = $$VUO_FRAMEWORK_PATH/Vuo.framework/MacOS/Clang/bin/clang++
QMAKE_LINK = $$QMAKE_CC
QMAKE_OBJECTIVE_CFLAGS += -F $$VUO_FRAMEWORK_PATH
QMAKE_OBJECTIVE_CFLAGS_WARN_ON += -Wno-unused-parameter
QMAKE_LFLAGS += -F $$VUO_FRAMEWORK_PATH -mmacosx-version-min=10.6 \
	$$VUO_FRAMEWORK_PATH/Vuo.framework/Modules/libVuoGlContext.dylib
QMAKE_RPATHDIR = $$VUO_FRAMEWORK_PATH
QMAKE_LFLAGS_RPATH = -rpath$$LITERAL_WHITESPACE

# Rebuild this example when Vuo.framework's headers change.
DEPENDPATH += $$VUO_FRAMEWORK_PATH/Vuo.framework/Headers

LIBS += -framework Vuo -framework Cocoa -framework OpenGL -framework CoreVideo

# In an app you plan to distribute, you should copy the Vuo framework to $${TARGET}.app/Contents/Frameworks,
# and change QMAKE_RPATHDIR to $${TARGET}.app/Contents/Frameworks.
