TEMPLATE = app
CONFIG -= qt

# Simple standalone qmake project; does not include "vuo.pri" like most other project files in the Vuo source tree.

SOURCES += \
	RunImageFilter.cc

OTHER_FILES += \
	RippleImage.vuo


# Find Vuo.framework
exists(../../../framework/framework.pro) {
	VUO_FRAMEWORK_PATH=../../../framework
} else {
	exists($$system(echo $HOME)/Library/Frameworks/Vuo.framework) {
		VUO_FRAMEWORK_PATH=$$system(echo $HOME)/Library/Frameworks
	} else {
		exists(/Library/Frameworks/Vuo.framework) {
			VUO_FRAMEWORK_PATH=/Library/Frameworks
		} else {
			error("Couldn't find Vuo.framework.")
		}
	}
}


QMAKE_CXX = $$VUO_FRAMEWORK_PATH/Vuo.framework/MacOS/Clang/bin/clang++
QMAKE_LINK = $$QMAKE_CXX
QMAKE_CXXFLAGS += -F $$VUO_FRAMEWORK_PATH -DEXAMPLE_PATH=\\\"$$system(pwd)\\\"
QMAKE_LFLAGS += -F $$VUO_FRAMEWORK_PATH -mmacosx-version-min=10.6 -Xlinker -no_function_starts -Xlinker -no_version_load_command \
	$$VUO_FRAMEWORK_PATH/Vuo.framework/Modules/libVuoGlContext.dylib

QMAKE_RPATHDIR = $$VUO_FRAMEWORK_PATH
QMAKE_LFLAGS_RPATH = -rpath$$LITERAL_WHITESPACE

# Rebuild this example when Vuo.framework's headers change.
DEPENDPATH += $$VUO_FRAMEWORK_PATH/Vuo.framework/Headers

GLFW_ROOT = /usr/local/Cellar/glfw/2.7.7/
INCLUDEPATH += $${GLFW_ROOT}/include
LIBS += -framework Vuo -L$${GLFW_ROOT}/lib -lglfw -framework OpenGL

QMAKE_POST_LINK += install_name_tool -change "/usr/local/lib/libglfw.dylib" "$${GLFW_ROOT}/lib/libglfw.dylib" "RunImageFilter-GLFW.app/Contents/MacOS/RunImageFilter-GLFW"

# In an app you plan to distribute, you should copy the Vuo framework to $${TARGET}.app/Contents/Frameworks,
# and change QMAKE_RPATHDIR to $${TARGET}.app/Contents/Frameworks.
