TEMPLATE = app
CONFIG += qt moc

# Simple standalone qmake project; does not include "vuo.pri" like most other project files in the Vuo source tree.

resources.files = \
	RippleImage.vuo \
	OttoOperatesTheRoller.jpg
resources.path = Contents/Resources
QMAKE_BUNDLE_DATA += resources

HEADERS += \
	GLWidget.hh

SOURCES += \
	main.cc \
	GLWidget.cc

OTHER_FILES += \
	RippleImage.vuo


# Find Vuo.framework
exists(../../../framework/framework.pro) {
	VUO_FRAMEWORK_PATH=../../../framework
} else {
	exists($$system(echo $HOME)/Library/Frameworks/Vuo.framework) {
		VUO_FRAMEWORK_PATH=$$system(echo $HOME)/Library/Frameworks
	} else {
		exists(/Library/Frameworks/Vuo.framework) {
			VUO_FRAMEWORK_PATH=/Library/Frameworks
		} else {
			error("Couldn't find Vuo.framework.")
		}
	}
}


QMAKE_CXX = $$VUO_FRAMEWORK_PATH/Vuo.framework/MacOS/Clang/bin/clang++
QMAKE_LINK = $$QMAKE_CXX
QMAKE_CXXFLAGS += -F$$VUO_FRAMEWORK_PATH
QMAKE_CXXFLAGS_WARN_ON += -Wno-unused-private-field
QMAKE_LFLAGS += -F $$VUO_FRAMEWORK_PATH -mmacosx-version-min=10.6 \
	$$VUO_FRAMEWORK_PATH/Vuo.framework/Modules/libVuoGlContext.dylib
QMAKE_RPATHDIR = $$VUO_FRAMEWORK_PATH
QMAKE_LFLAGS_RPATH = -rpath$$LITERAL_WHITESPACE

# Rebuild this example when Vuo.framework's headers change.
DEPENDPATH += $$VUO_FRAMEWORK_PATH/Vuo.framework/Headers

LIBS += -framework Vuo -framework OpenGL

# Vuo.framework includes QtCore, QtGui, QtWidgets, QtPrintSupport, and QtOpenGL.
# Point qmake to the bundled frameworks, and tell qmake not to attempt to link to them a second time.
QMAKE_CXXFLAGS += -F$$VUO_FRAMEWORK_PATH/Vuo.framework/Frameworks
QMAKE_LFLAGS += \
	-F$$VUO_FRAMEWORK_PATH/Vuo.framework/Frameworks \
	-framework QtCore \
	-framework QtGui \
	-framework QtWidgets \
	-framework QtPrintSupport \
	-framework QtOpenGL
QT -= core gui widgets printsupport opengl

# In an app you plan to distribute, you should copy the Vuo framework to $${TARGET}.app/Contents/Frameworks,
# and change QMAKE_RPATHDIR to $${TARGET}.app/Contents/Frameworks.
