/**
 * @file
 * VuoMIDI interface.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#ifdef __cplusplus
extern "C"
{
#endif

#include "node.h"

VuoList_VuoMIDIDevice VuoMIDI_getInputDevices(void);
VuoList_VuoMIDIDevice VuoMIDI_getOutputDevices(void);

/**
 * Manages sending messages to a MIDI device.
 */
typedef void * VuoMIDIOut;

VuoMIDIOut VuoMIDIOut_make(VuoMIDIDevice md);
void VuoMIDIOut_sendNote(VuoMIDIOut mo, VuoMIDINote note);
void VuoMIDIOut_sendController(VuoMIDIOut mo, VuoMIDIController controller);
void VuoMIDIOut_destroy(VuoMIDIOut mo);


/**
 * Manages receiving messages from a MIDI device.
 */
typedef void * VuoMIDIIn;

VuoMIDIIn VuoMIDIIn_make(VuoMIDIDevice md);
void VuoMIDIIn_enableTriggers
(
		VuoMIDIIn mi,
		VuoOutputTrigger(receivedNote, VuoMIDINote),
		VuoOutputTrigger(receivedController, VuoMIDIController)
);
void VuoMIDIIn_disableTriggers(VuoMIDIIn mi);
void VuoMIDIIn_destroy(VuoMIDIIn mi);

#ifdef __cplusplus
}
#endif
