/**
 * @file
 * VuoWindowApplication interface.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOWINDOWAPPLICATION_HH
#define VUOWINDOWAPPLICATION_HH

#include <QApplication>
#include <QEventLoop>
#include <dispatch/dispatch.h>

/**
 * An application that runs its own event loop.
 */
class VuoWindowApplication : public QApplication
{
	Q_OBJECT

private:
	dispatch_source_t timer;  ///< Process-wide libdispatch timer for processing QApplication events.
	QEventLoop *eventLoop;  ///< Process-wide QApplication event loop.
	dispatch_semaphore_t timerCanceled;  ///< Semaphore to make sure we don't release @c eventLoop while @c timer is still running.

public:
	VuoWindowApplication(int argc, char **argv);
	~VuoWindowApplication(void);
};

#endif // VUOWINDOWAPPLICATION_HH
