TEMPLATE = lib
CONFIG += no_link target_predeps staticlib qtOpenGL

# Avoid building libnode.a
QMAKE_AR_CMD = @true
QMAKE_RANLIB = @true

include(../vuo.pri)

NODE_SOURCES += \
	vuo.image.filter.ripple.c \
	vuo.image.filter.twirl.c \
	vuo.image.get.c \
	vuo.image.render.window.c \
	vuo.list.valueAtIndex.midiDevice.c \
	vuo.midi.filter.controller.c \
	vuo.midi.filter.note.c \
	vuo.midi.get.controller.c \
	vuo.midi.get.device.c \
	vuo.midi.get.note.c \
	vuo.midi.listDevices.c \
	vuo.midi.make.controller.c \
	vuo.midi.make.device.id.c \
	vuo.midi.make.device.name.c \
	vuo.midi.make.note.c \
	vuo.midi.receive.c \
	vuo.midi.send.c \
	vuo.type.image.event.c \
	vuo.type.text.integer.c \
	vuo.type.text.event.c \
	vuo.type.integer.text.c \
	vuo.type.integer.event.c \
	vuo.time.firePeriodically.c \
	vuo.text.cut.c \
	vuo.text.countCharacters.c \
	vuo.text.areEqual.c \
	vuo.text.append.c \
	vuo.select.out.text.c \
	vuo.select.out.integer.c \
	vuo.select.out.event.c \
	vuo.select.out.real.c \
	vuo.select.out.point2d.c \
	vuo.select.out.point3d.c \
	vuo.select.out.point4d.c \
	vuo.select.out.image.c \
	vuo.select.out.sceneObject.c \
	vuo.select.out.vertices.c \
	vuo.select.in.text.c \
	vuo.select.in.integer.c \
	vuo.select.in.real.c \
	vuo.select.in.event.c \
	vuo.select.in.point2d.c \
	vuo.select.in.point3d.c \
	vuo.select.in.point4d.c \
	vuo.select.in.image.c \
	vuo.select.in.sceneObject.c \
	vuo.select.in.vertices.c \
	vuo.math.isGreaterThan.integer.c \
	vuo.math.multiply.integer.c \
	vuo.math.multiply.point4d.c \
	vuo.math.multiply.point4d.quaternion.c \
	vuo.math.isLessThan.integer.c \
	vuo.math.divide.integer.c \
	vuo.math.count.integer.c \
	vuo.math.countWithinRange.integer.c \
	vuo.math.count.real.c \
	vuo.math.add.integer.c \
	vuo.math.subtract.integer.c \
	vuo.math.areEqual.integer.c \
	vuo.math.gradientNoise.1d.c \
	vuo.math.gradientNoise.2d.c \
	vuo.math.gradientNoise.3d.c \
	vuo.math.gradientNoise.4d.c \
	vuo.math.wave.c \
	vuo.logic.areAllTrue.c \
	vuo.logic.areAnyTrue.c \
	vuo.logic.isOneTrue.c \
	vuo.logic.negate.c \
	vuo.hold.text.c \
	vuo.hold.integer.c \
	vuo.hold.point2d.c \
	vuo.hold.real.c \
	vuo.hold.point3d.c \
	vuo.hold.point4d.c \
	vuo.hold.image.c \
	vuo.hold.sceneObject.c \
	vuo.hold.vertices.c \
	vuo.event.fireOnStart.c \
	vuo.event.spinOffEvent.c \
	vuo.vertices.make.square.c \
	vuo.vertices.make.sphere.c \
	vuo.vertices.make.parametric.c \
	vuo.scene.get.c \
	vuo.scene.object.make.cube.c \
	vuo.scene.object.make.image.c \
	vuo.scene.object.make.c \
	vuo.scene.render.image.c \
	vuo.scene.render.window.c \
	vuo.shader.make.color.c \
	vuo.shader.make.image.c \
	vuo.shader.make.normal.c \
	vuo.transform.make.c \
	vuo.transform.make.quaternion.c \
	vuo.device.mouse.c \
	vuo.console.window.c \
	vuo.math.add.real.c \
	vuo.math.areEqual.real.c \
	vuo.math.subtract.real.c \
	vuo.math.multiply.real.c \
	vuo.math.divide.real.c \
	vuo.math.isLessThan.real.c \
	vuo.math.isGreaterThan.real.c \
	vuo.math.countWithinRange.real.c \
	vuo.math.round.c \
	vuo.math.roundDown.c \
	vuo.math.roundUp.c \
	vuo.type.boolean.event.c \
	vuo.type.color.event.c \
	vuo.type.integer.boolean.c\
	vuo.type.integer.real.c \
	vuo.type.real.event.c \
	vuo.type.real.text.c \
	vuo.type.text.real.c \
	vuo.type.transform.event.c \
	vuo.type.point2d.event.c \
	vuo.type.point3d.event.c \
	vuo.type.point4d.event.c \
	vuo.type.text.boolean.c \
	vuo.type.boolean.text.c \
	vuo.type.sceneObject.event.c \
	vuo.type.shader.event.c \
	vuo.type.vertices.event.c \
	vuo.point.make.2d.c \
	vuo.point.make.3d.c \
	vuo.point.make.4d.c \
	vuo.point.make.4d.quaternion.c \
	vuo.point.get.2d.c \
	vuo.point.get.3d.c \
	vuo.point.get.4d.c \
	vuo.select.latest.integer.c \
	vuo.select.latest.real.c \
	vuo.select.latest.text.c \
	vuo.select.latest.point2d.c \
	vuo.select.latest.point3d.c \
	vuo.select.latest.point4d.c \
	vuo.select.latest.sceneObject.c \
	vuo.select.latest.vertices.c \
	vuo.select.latest.image.c \
	vuo.color.make.rgb.c \
	vuo.color.get.rgb.c \
	vuo.color.make.hsl.c \
	vuo.color.get.hsl.c

OTHER_FILES += $$NODE_SOURCES

NODE_LIBRARY_SOURCES += \
	VuoImageGet.cc \
	VuoImageRenderer.cc \
	VuoMIDI.cc \
	VuoSceneRenderer.cc \
	VuoURL.c \
	VuoWindow.cc \
	VuoWindowApplication.cc \
	VuoWindowOpenGLInternal.cc \
	VuoGradientNoiseCommon.c \
	VuoWindowTextInternal.cc \
	VuoVerticesParametric.cc

OTHER_FILES += $$NODE_LIBRARY_SOURCES

SOURCES += \
	VuoImageRenderer.cc

NODE_LIBRARY_MOCS = \
	VuoWindowApplication \
	VuoWindowOpenGLInternal \
	VuoWindowTextInternal

for(module, NODE_LIBRARY_MOCS) {
	NODE_LIBRARY_SOURCES += $$system( ([ ! -f moc_$${module}.cc -o $${module}.hh -nt moc_$${module}.cc ] && $$QT_ROOT/bin/moc $${module}.hh -o moc_$${module}.cc) ; echo moc_$${module}.cc)
}

HEADERS += \
	node.h \
	VuoGlContext.h \
	VuoImageGet.h \
	VuoImageRenderer.h \
	VuoMIDI.h \
	VuoSceneRenderer.h \
	VuoURL.h \
	VuoWindow.h \
	VuoWindowApplication.hh \
	VuoWindowOpenGLInternal.hh \
	VuoGradientNoiseCommon.h \
	VuoWindowTextInternal.hh \
	VuoVerticesParametric.h

INCLUDEPATH += \
	../runtime \
	../type \
	../type/list

QMAKE_CLEAN += *.bc moc_*.cc

CLANG_NODE_LIBRARY_FLAGS = -emit-llvm \
	$$QMAKE_CFLAGS_X86_64 \
	-I$${ROOT}/type \
	-I$${ROOT}/type/list \
	-I$${ROOT}/runtime \
	-I$${ICU_ROOT}/include \
	-I$${MUPARSER_ROOT}/include \
	-I$${FREEIMAGE_ROOT}/include \
	-I$${CURL_ROOT}/include \
	-I$${RTMIDI_ROOT}/include \
	-I$${ASSIMP_ROOT}/include \
	-I$${QT_ROOT}/include/ \
	-I$${QT_ROOT}/include/QtCore \
	-I$${QT_ROOT}/include/QtGui \
	-I$${QT_ROOT}/include/QtOpenGL \
	-I$${QT_ROOT}/include/QtWidgets \
	-I$${QT_ROOT}/include/QtPrintSupport \
	-DVUO_COMPILER=1 \
	$$join(DEFINES, " -D", "-D")
node_library.input = NODE_LIBRARY_SOURCES
node_library.depend_command = $$QMAKE_CC -o /dev/null -E -MD -MF - $${CLANG_NODE_LIBRARY_FLAGS} ${QMAKE_FILE_NAME} 2>&1 | sed \"s,^.*: ,,\"
node_library.output = lib${QMAKE_FILE_IN_BASE}.bc
node_library.commands = $$QMAKE_CC $$CLANG_NODE_LIBRARY_FLAGS -c ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
QMAKE_EXTRA_COMPILERS += node_library



NODE_LIBRARY_SHARED_SOURCES += \
	VuoGlContext.cc

OTHER_FILES += $$NODE_LIBRARY_SHARED_SOURCES

CLANG_NODE_LIBRARY_SHARED_FLAGS = \
	$$CLANG_NODE_LIBRARY_FLAGS \
	-dynamiclib \
	-framework OpenGL \
	-Wl,-no_function_starts \
	-Wl,-no_version_load_command
CLANG_NODE_LIBRARY_SHARED_FLAGS -= -emit-llvm
node_library_shared.input = NODE_LIBRARY_SHARED_SOURCES
node_library_shared.depend_command = $$QMAKE_CXX -o /dev/null -E -MD -MF - $${CLANG_NODE_LIBRARY_SHARED_FLAGS} ${QMAKE_FILE_NAME} 2>&1 | sed \"s,^.*: ,,\"
node_library_shared.output = lib${QMAKE_FILE_IN_BASE}.dylib
node_library_shared.commands = $$QMAKE_CXX $$CLANG_NODE_LIBRARY_SHARED_FLAGS ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT} \
	&& install_name_tool -id @rpath/Vuo.framework/Versions/$$VUO_VERSION/Modules/${QMAKE_FILE_OUT} ${QMAKE_FILE_OUT}
QMAKE_EXTRA_COMPILERS += node_library_shared



NODE_LIBRARY_SHARED_SOURCES_DEPENDENT_ON_CONTEXT += \
	VuoGlTexturePool.cc

OTHER_FILES += $$NODE_LIBRARY_SHARED_SOURCES_DEPENDENT_ON_CONTEXT

CLANG_NODE_LIBRARY_SHARED_DEPENDENT_ON_CONTEXT_FLAGS = \
	$$CLANG_NODE_LIBRARY_SHARED_FLAGS \
	-L . \
	-lVuoGlContext
node_library_shared_dependent_on_context.input = NODE_LIBRARY_SHARED_SOURCES_DEPENDENT_ON_CONTEXT
node_library_shared_dependent_on_context.depends = libVuoGlContext.dylib
node_library_shared_dependent_on_context.depend_command = $$QMAKE_CXX -o /dev/null -E -MD -MF - $${CLANG_NODE_LIBRARY_SHARED_DEPENDENT_ON_CONTEXT_FLAGS} ${QMAKE_FILE_NAME} 2>&1 | sed \"s,^.*: ,,\"
node_library_shared_dependent_on_context.output = lib${QMAKE_FILE_IN_BASE}.dylib
node_library_shared_dependent_on_context.commands = $$QMAKE_CXX $$CLANG_NODE_LIBRARY_SHARED_DEPENDENT_ON_CONTEXT_FLAGS ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT} \
	&& install_name_tool -id @rpath/Vuo.framework/Versions/$$VUO_VERSION/Modules/${QMAKE_FILE_OUT} ${QMAKE_FILE_OUT}
QMAKE_EXTRA_COMPILERS += node_library_shared_dependent_on_context
