/**
 * @file
 * vuo.color.get.hsl node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Get HSL Color Values";
const char *moduleDescription = "Gives the HSLA (hue, saturation, lightness, alpha) values of a color.";
const char *moduleKeywords[] = { };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoColor, {"default":{"r":0,"g":0,"b":0,"a":1}}) color,
		VuoOutputData(VuoReal) hue,
		VuoOutputData(VuoReal) saturation,
		VuoOutputData(VuoReal) lightness,
		VuoOutputData(VuoReal) alpha
)
{
	VuoColor_getHSLA(color, hue, saturation, lightness, alpha);
}
