/**
 * @file
 * vuo.color.make.rgb node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Make RGB Color";
const char *moduleDescription = "Creates a color from RGBA (red, green, blue, alpha) components.";
const char *moduleKeywords[] = { };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoReal, {"default":0,"suggestedMin":0,"suggestedMax":1}) red,
		VuoInputData(VuoReal, {"default":0,"suggestedMin":0,"suggestedMax":1}) green,
		VuoInputData(VuoReal, {"default":0,"suggestedMin":0,"suggestedMax":1}) blue,
		VuoInputData(VuoReal, {"default":1,"suggestedMin":0,"suggestedMax":1}) alpha,
		VuoOutputData(VuoColor) color
)
{
	*color = VuoColor_makeWithRGBA(red, green, blue, alpha);
}
