﻿/**
 * @file
 * vuo.event.fireOnStart node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Fire on Start";
const char *moduleDescription = "Generates an event when the composition starts.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "begin", "init", "launch", "main" };


bool * nodeInstanceInit(void)
{
	bool *hasStarted = (bool *) malloc(sizeof(bool));
	vuoRegister(hasStarted, free);
	*hasStarted = false;
	return hasStarted;
}

void nodeInstanceCallbackStart
(
		VuoInstanceData(bool *) hasStarted,
		VuoOutputTrigger(started,void)
)
{
	if (! **hasStarted)
	{
		started();
		**hasStarted = true;
	}
}

void nodeInstanceEvent
(
		VuoInstanceData(bool *) hasStarted
)
{
}

void nodeInstanceFini
(
		VuoInstanceData(bool *) hasStarted
)
{
}
