/**
 * @file
 * vuo.logic.negate node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Negate";
const char *moduleDescription = "Outputs the inverse of passed value.  Ex: True -> Negate -> False.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "boolean", "not", "!", "flip", "logic", "gate", "gates", "inverse" };

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":false}) in0,
		VuoOutputData(VuoInteger) notValue
 )
{
	*notValue = !in0;
}
