/**
 * @file
 * vuo.math.divide.real node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Divide";
const char *moduleDescription = "Outputs the quotient and remainder of `a` / `b`";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "quotient", "remainder" };

void nodeEvent
(
	VuoInputData(VuoReal, {"default":0}) a,
	VuoInputData(VuoReal, {"default":1}) b,
	VuoOutputData(VuoReal) quotient
)
{
	*quotient = a / b;
}
