/**
 * @file
 * vuo.math.isGreaterThan.integer node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Is Greater Than";
const char *moduleDescription = "If 'in0' is greater than 'in1', `greaterThan` is true.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "greater", ">" };

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":0}) in0,
		VuoInputData(VuoInteger, {"default":0}) in1,
		VuoOutputData(VuoInteger) greaterThan
 )
{
	*greaterThan = in0 > in1;
}
