/**
 * @file
 * vuo.math.multiply.real node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Multiply";
const char *moduleDescription = "Multiplies the terms and outputs their product. If there are no terms, outputs 0.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "product" };

void nodeEvent
(
		VuoInputData(VuoList_VuoReal) terms,
		VuoOutputData(VuoReal) product
)
{
	unsigned long termsCount = VuoListGetCount_VuoReal(terms);
	if (termsCount == 0)
	{
		*product = 0;
	}
	else
	{
		*product = 1;
		for (unsigned long i = 0; i < termsCount; ++i)
			*product *= VuoListGetValueAtIndex_VuoReal(terms, i);
	}
}
