/**
 * @file
 * vuo.math.roundDown node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include "math.h"

const char *moduleName = "Round Down";
const char *moduleDescription = "Rounds a real number down to the nearest integer.";
const char *moduleKeywords[] = { "round", "down", "floor" };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoReal, {"default":0.0}) real,
		VuoOutputData(VuoInteger) integer
)
{
	*integer = (VuoInteger)floor(real);
}
