/**
 * @file
 * vuo.midi.get.device node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Get MIDI Device Values";
const char *moduleDescription = "Gives the ID, name, and type of a MIDI device.";
const char *moduleKeywords[] = { };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoMIDIDevice) device,
		VuoOutputData(VuoInteger) id,
		VuoOutputData(VuoText) name,
		VuoOutputData(VuoBoolean) isInput
)
{
	*id = device.id;
	*name = device.name;
	*isInput = device.isInput;
}
