/**
 * @file
 * vuo.midi.listDevices node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include "VuoMIDI.h"

const char *moduleName = "List MIDI Devices";
const char *moduleDescription = "Gives a list of the available MIDI input and output devices.";
const char *moduleKeywords[] = { };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = true;
/// @todo when https://b33p.net/kosada/node/4018 is fixed, move the VuoMIDI dependencies into VuoMIDI.cc.
const char * moduleDependencies[] = {
	"VuoMIDI.bc",
		"RtMidi",
		"CoreAudio.framework",
		"CoreMIDI.framework"
};

void nodeEvent
(
		VuoOutputData(VuoList_VuoMIDIDevice) inputDevices,
		VuoOutputData(VuoList_VuoMIDIDevice) outputDevices
)
{
	*inputDevices = VuoMIDI_getInputDevices();
	*outputDevices = VuoMIDI_getOutputDevices();
}
