/**
 * @file
 * vuo.midi.make.device.id node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Make MIDI Device with ID";
const char *moduleDescription = "Creates a MIDI device identifier from the specified ID and type.";
const char *moduleKeywords[] = { };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":0,"suggestedMin":0}) id,
		VuoInputData(VuoBoolean, {"default":"true"}) isInput,
		VuoOutputData(VuoMIDIDevice) device
)
{
	*device = VuoMIDIDevice_make(id, VuoText_make(""), isInput);
}
