/**
 * @file
 * vuo.midi.make.device.name node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Make MIDI Device with Name";
const char *moduleDescription = "Creates a MIDI device identifier that matches the first MIDI device containing the specified name.";
const char *moduleKeywords[] = { };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoText, {"default":""}) name,
		VuoInputData(VuoBoolean, {"default":"true"}) isInput,
		VuoOutputData(VuoMIDIDevice) device
)
{
	*device = VuoMIDIDevice_make(-1, name, isInput);
}
