/**
 * @file
 * vuo.midi.make.note node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Make MIDI Note";
const char *moduleDescription = "Creates a MIDI note event from channel, pitch, and velocity values.";
const char *moduleKeywords[] = { };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":1,"suggestedMin":1,"suggestedMax":16}) channel,
		VuoInputData(VuoBoolean, {"default":true}) isNoteOn,
		VuoInputData(VuoInteger, {"default":127,"suggestedMin":0,"suggestedMax":127}) velocity,
		VuoInputData(VuoInteger, {"default":60,"suggestedMin":0,"suggestedMax":127}) noteNumber,
		VuoOutputData(VuoMIDINote) note
)
{
	*note = VuoMIDINote_make(channel,isNoteOn,velocity,noteNumber);
}
