/**
 * @file
 * vuo.point.get.3d node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Get 3D Point Values";
const char *moduleDescription = "Gives the coordinates of a 3D point.";
const char *moduleKeywords[] = { "cartesian", "xyz" };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoPoint3d, {"default":{"x":0,"y":0}}) point,
		VuoOutputData(VuoReal) x,
		VuoOutputData(VuoReal) y,
		VuoOutputData(VuoReal) z
)
{
	*x = point.x;
	*y = point.y;
	*z = point.z;
}
