/**
 * @file
 * vuo.point.get.4d node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Get 4D Point Values";
const char *moduleDescription = "Gives the coordinates of a 4D point.";
const char *moduleKeywords[] = { "cartesian", "xyzw" };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoPoint4d, {"default":{"x":0,"y":0}}) point,
		VuoOutputData(VuoReal) x,
		VuoOutputData(VuoReal) y,
		VuoOutputData(VuoReal) z,
		VuoOutputData(VuoReal) w
)
{
	*x = point.x;
	*y = point.y;
	*z = point.z;
	*w = point.w;
}
