/**
 * @file
 * vuo.point.make.3d node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Make 3D Point";
const char *moduleDescription = "Creates a 3D point from coordinates.";
const char *moduleKeywords[] = { "cartesian", "xyz" };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoReal, {"default":0}) x,
		VuoInputData(VuoReal, {"default":0}) y,
		VuoInputData(VuoReal, {"default":0}) z,
		VuoOutputData(VuoPoint3d) point
)
{
	point->x = x;
	point->y = y;
	point->z = z;
}
