/**
 * @file
 * vuo.scene.object.make node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Make Scene Object";
const char *moduleDescription = "Creates a Scene Object from a set of vertices, shaders, a transform, and child objects.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { };
const char *moduleDependencies[] = { };

void nodeEvent
(
		VuoInputData(VuoList_VuoVertices) vertices,
		VuoInputData(VuoShader) shader,
		VuoInputData(VuoTransform) transform,
		VuoInputData(VuoList_VuoSceneObject) childObjects,
		VuoOutputData(VuoSceneObject) sceneObject
)
{
	*sceneObject = VuoSceneObject_make(
				vertices,
				shader,
				transform,
				childObjects
			);
}
