/**
 * @file
 * vuo.select.in.event node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Select Input";
const char *moduleDescription = "When 'refresh' or the input port selected by 'index' is pushed, sends the event to 'out'.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "switch", "multiplexer", "if", "else", "case" };

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":0,"suggestedMin":0,"suggestedMax":1}) index,
		VuoInputConductor(VuoPortNeverConducts,index) indexEvent,
		VuoInputConductor(VuoPortMayConduct,) in0,
		VuoInputConductor(VuoPortMayConduct,) in1,
		VuoOutputConductor() out
)
{
	if (index == 0)
		*out = in0;
	else
		*out = in1;
}
