/**
 * @file
 * vuo.select.in.text node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Select Input";
const char *moduleDescription = "When 'refresh' or the input port selected by 'index' is pushed, sends the data from the selected input port and the event to 'out'.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "switch", "multiplexer", "if", "else", "case" };

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":0,"suggestedMin":0,"suggestedMax":1}) index,
		VuoInputConductor(VuoPortNeverConducts,index) indexEvent,
		VuoInputData(VuoText, {"default":""}) in0,
		VuoInputConductor(VuoPortMayConduct,in0) in0Event,
		VuoInputData(VuoText, {"default":""}) in1,
		VuoInputConductor(VuoPortMayConduct,in1) in1Event,
		VuoOutputData(VuoText) out,
		VuoOutputConductor(out) outEvent
)
{
	if (index == 0)
	{
		*out = in0;
		*outEvent = in0Event;
	}
	else
	{
		*out = in1;
		*outEvent = in1Event;
	}
}
