/**
 * @file
 * vuo.select.latest.sceneObject node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Select Latest";
const char *moduleDescription = "Outputs whichever of 'a' and 'b' most recently received an event, or 'a' if both received an event at the same time or neither has received an event.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "coalesce", "join", "combine", "recent", "current" };

void nodeEvent
(
		VuoInputData(VuoSceneObject) a,
		VuoInputConductor(VuoPortAlwaysConducts,a) aEvent,
		VuoInputData(VuoSceneObject) b,
		VuoInputConductor(VuoPortAlwaysConducts,b) bEvent,
		VuoOutputData(VuoSceneObject) latest
)
{
	if (bEvent && ! aEvent)
		*latest = b;
	else
		*latest = a;
}
