/**
 * @file
 * vuo.select.out.sceneObject node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Select Output";
const char *moduleDescription = "Routes the data and event from 'in' to the output port corresponding to 'index'.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "switch", "demultiplexer", "if", "else", "case" };

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":0,"suggestedMin":0,"suggestedMax":1}) index,
		VuoInputConductor(VuoPortNeverConducts,index) indexEvent,
		VuoInputData(VuoSceneObject) in,
		VuoInputConductor(VuoPortMayConduct,in) inEvent,
		VuoOutputData(VuoSceneObject) out0,
		VuoOutputConductor(out0) outEvent0,
		VuoOutputData(VuoSceneObject) out1,
		VuoOutputConductor(out1) outEvent1
)
{
	if (index == 0)
	{
		*out0 = in;
		*outEvent0 = true;
	}
	else
	{
		*out1 = in;
		*outEvent1 = true;
	}
}
