﻿/**
 * @file
 * vuo.text.countCharacters node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Count Characters";
const char *moduleDescription = "Outputs the length of `text`, in logical Unicode characters (not raw bytes).";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "length", "size" };

void nodeEvent
(
		VuoInputData(VuoText, {"default":""}) text,
		VuoOutputData(VuoInteger) count
)
{
	*count = VuoText_length(text);
}
