﻿/**
 * @file
 * vuo.text.cut node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Cut";
const char *moduleDescription = "Outputs the piece of `text` beginning at character `startIndex` with length `characterCount`, interpreted in terms of logical Unicode characters (not raw bytes).";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "substring" };

void nodeEvent
(
		VuoInputData(VuoText, {"default":""}) text,
		VuoInputData(VuoInteger, {"default":0,"suggestedMin":0}) startIndex,
		VuoInputData(VuoInteger, {"default":0,"suggestedMin":0}) characterCount,
		VuoOutputData(VuoText) partialText
)
{
	*partialText = VuoText_substring(text, startIndex, characterCount);
}
