/**
 * @file
 * vuo.type.boolean.text node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

const char *moduleName = "Convert Boolean to Text";
const char *moduleDescription = "Converts a boolean to its text representation.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoBoolean, {"default":false}) boolean,
		VuoOutputData(VuoText) text
)
{
	char *textAsCString = VuoBoolean_stringFromValue(boolean);
	*text = VuoText_make(textAsCString);
	free(textAsCString);
}
