/**
 * @file
 * vuo.type.integer.boolean node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Convert Integer to Boolean";
const char *moduleDescription = "Converts an integer to a boolean value.  A value of 0 is false, anything else is true.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
	VuoInputData(VuoInteger, {"default":0}) integer,
	VuoOutputData(VuoBoolean) boolean
)
{
	*boolean = integer == 0 ? false : true;
}
