﻿/**
 * @file
 * vuo.type.integer.text node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include <stdlib.h>
#include <string.h>

const char *moduleName = "Convert Integer to Text";
const char *moduleDescription = "Converts a 64-bit integer to its (base-10) text representation.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
	VuoInputData(VuoInteger, {"default":0}) integer,
	VuoOutputData(VuoText) text
)
{
	char *textAsCString = VuoInteger_stringFromValue(integer);
	*text = VuoText_make(textAsCString);
	free(textAsCString);
}
