﻿/**
 * @file
 * vuo.type.text.integer node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include <stdlib.h>

const char *moduleName = "Convert Text to Integer";
const char *moduleDescription = "Converts the text of a (base-10) integer to an actual 64-bit integer.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoText, {"default":""}) text,
		VuoOutputData(VuoInteger) integer
)
{
	*integer = VuoInteger_valueFromString(text);
}
