/**
 * @file
 * vuo.vertices.make.sphere node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include "stdlib.h"
#include "string.h"
#include "stdio.h"
#include "VuoVerticesParametric.h"

const char *moduleName = "Make Sphere Vertices";
const char *moduleDescription = "Creates a sphere given latitude and longitude divisions.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "mesh", "3d", "sceneobject", "sphere", "ball", "round", "ellipsoid" };
const char *moduleDependencies[] = {
	"VuoVerticesParametric.bc",
	"muParser"
};

void nodeEvent
(
		VuoInputData(VuoInteger, {"default":16,"suggestedMin":0}) rows,
		VuoInputData(VuoInteger, {"default":16,"suggestedMin":0}) columns,
		VuoOutputData(VuoList_VuoVertices) vertices
)
{
	char *xExp = "sin(DEG2RAD*((u-.5)*360)) * cos(DEG2RAD*((v-.5)*180)) / 2.";
	char *yExp = "sin(DEG2RAD*((v-.5)*180)) / 2.";
	char *zExp = "cos(DEG2RAD*((u-.5)*360)) * cos(DEG2RAD*((v-.5)*180)) / 2.";

	char *uExp = "u";
	char *vExp = "v";

	*vertices = VuoVerticesParametric_generate( xExp, yExp, zExp, uExp, vExp,
													 rows, columns,
													 false,		// close u
													 false);	// close v
}
