/**
 * @file
 * vuo.vertices.make.square node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Make Square Vertices";
const char *moduleDescription = "Creates vertices representing a quadrilateral of size 1x1 in scene coordinates.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "quad", "rectangle", "plane", "4-gon", "4gon" };
const char *moduleDependencies[] = { };

void nodeEvent
(
		VuoOutputData(VuoList_VuoVertices) vertices
)
{
	VuoList_VuoVertices verticesList = VuoListCreate_VuoVertices();
	VuoListAppendValue_VuoVertices(verticesList, VuoVertices_getQuad());
	*vertices = verticesList;
}
