﻿/**
 * @file
 * vuo.test.wallTime node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code is proprietary, and may not be redistributed.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

#include <sys/time.h>

const char *moduleName = "Get Wall Time";
const char *moduleDescription = "Gets the current wall-clock time, in seconds since the epoch.";
const char *moduleKeywords[] = { };
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
	VuoOutputData(VuoReal) seconds
)
{
	struct timeval t;
	gettimeofday(&t, NULL);
	*seconds = t.tv_sec + t.tv_usec / 1000000.;
}
