/**
 * @file
 * vuo.test.conductor node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code is proprietary, and may not be redistributed.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

const char *moduleName = "Conductor";
const char *moduleDescription = "Pauses for a random amount of time, then passes `triggerInfoIn` to `triggerInfoOut` and `triggerInfoIn nodeDisplayName` to `nodeInfo`.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoText, {"default":""}) triggerInfoIn0,
		VuoInputData(VuoText, {"default":""}) triggerInfoIn1,
		VuoInputData(VuoText, {"default":""}) triggerInfoIn2,
		VuoInputData(VuoText, {"default":""}) triggerInfoIn3,
		VuoInputConductor(VuoPortAlwaysConducts,triggerInfoIn0) triggerInfoEvent0,
		VuoInputConductor(VuoPortAlwaysConducts,triggerInfoIn1) triggerInfoEvent1,
		VuoInputConductor(VuoPortAlwaysConducts,triggerInfoIn2) triggerInfoEvent2,
		VuoInputConductor(VuoPortAlwaysConducts,triggerInfoIn3) triggerInfoEvent3,
		VuoInputData(VuoText, {"default":""}) nodeDisplayName,
		VuoOutputData(VuoText) triggerInfoOut,
		VuoOutputData(VuoText) nodeInfo
)
{
	usleep(arc4random() % 500);  // up to 0.5 milliseconds

	if (triggerInfoEvent3)
		*triggerInfoOut = triggerInfoIn3;
	else if (triggerInfoEvent2)
		*triggerInfoOut = triggerInfoIn2;
	else if (triggerInfoEvent1)
		*triggerInfoOut = triggerInfoIn1;
	else
		*triggerInfoOut = triggerInfoIn0;

	char *ni = (char *)malloc(strlen(*triggerInfoOut) + strlen(nodeDisplayName) + 2);
	sprintf(ni, "%s %s", *triggerInfoOut, nodeDisplayName);
	*nodeInfo = VuoText_make(ni);
	free(ni);
}
