/**
 * @file
 * vuo.test.semiconductor node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code is proprietary, and may not be redistributed.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

const char *moduleName = "Semiconductor";
const char *moduleDescription = "If the conductive input receives an event, this node pauses for a random amount of time, then passes `triggerInfoConductive` to `triggerInfoOut` and `triggerInfoIn nodeDisplayName` to `nodeInfo`. Otherwise, it does nothing.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoText, {"default":""}) triggerInfoConductive,
		VuoInputConductor(VuoPortAlwaysConducts,triggerInfoConductive) triggerInfoConductiveEvent,
		VuoInputData(VuoText, {"default":""}) triggerInfoNonConductive,
		VuoInputConductor(VuoPortNeverConducts,triggerInfoNonConductive) triggerInfoNonConductiveEvent,
		VuoInputData(VuoText, {"default":""}) nodeDisplayName,
		VuoOutputData(VuoText) triggerInfoOut,
		VuoOutputConductor(triggerInfoOut) triggerInfoOutEvent,
		VuoOutputData(VuoText) nodeInfo,
		VuoOutputConductor(nodeInfo) nodeInfoEvent
)
{
	if (! triggerInfoConductiveEvent)
		return;

	usleep(arc4random() % 500);  // up to 0.5 milliseconds

	*triggerInfoOut = triggerInfoConductive;

	char *ni = (char *)malloc(strlen(*triggerInfoOut) + strlen(nodeDisplayName) + 2);
	sprintf(ni, "%s %s", *triggerInfoOut, nodeDisplayName);
	*nodeInfo = VuoText_make(ni);
	free(ni);

	*triggerInfoOutEvent = true;
	*nodeInfoEvent = true;
}
