/**
 * @file
 * vuo.test.storeStructOfStrings node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code is proprietary, and may not be redistributed.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Store Struct of Strings";
const char *moduleDescription = "";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

struct StructOfStrings
{
	VuoText current;
	VuoText previous;
};

struct StructOfStrings * nodeInstanceInit()
{
	struct StructOfStrings *instance = (struct StructOfStrings *)malloc(sizeof(struct StructOfStrings *));
	vuoRegister(instance, free);
	instance->current = NULL;
	instance->previous = NULL;
	return instance;
}

void nodeInstanceEvent
(
		VuoInstanceData(struct StructOfStrings *) instance,
		VuoOutputData(VuoInteger) outEvent
)
{
	VuoText newCurrent = VuoText_make("initializer string");
	vuoRetain(newCurrent);
	vuoRelease((*instance)->previous);
	(*instance)->previous = (*instance)->current;
	(*instance)->current = newCurrent;
	*outEvent = 0;
}

void nodeInstanceFini
(
		VuoInstanceData(struct StructOfStrings *) instance
)
{
	vuoRelease((*instance)->current);
	vuoRelease((*instance)->previous);
}
