/**
 * @file
 * VuoTestFloat implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code is proprietary, and may not be redistributed.
 * For more information, see http://vuo.org/license.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "VuoTestFloat.h"

/// @{
#ifdef VUO_COMPILER
const char * moduleName = "TestFloat";
const char * moduleDescription = "";
const unsigned int moduleVersion = 100;
const char * moduleKeywords[] = { };
const char * moduleDependencies[] = { };
#endif
/// @}

VuoTestFloat VuoTestFloat_valueFromString(const char * initializer)
{
	return atof(initializer);
}

char * VuoTestFloat_stringFromValue(const VuoTestFloat value)
{
	const char * format = "%g";
	int size = snprintf(NULL,0,format,value);
	char * valueAsString = (char *)malloc(size+1);
	snprintf(valueAsString,size+1,format,value);
	return valueAsString;
}

char * VuoTestFloat_summaryFromValue(const VuoTestFloat value)
{
	return VuoTestFloat_stringFromValue(value);
}
