/**
 * @file
 * TestVuoPoint3d implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code is proprietary, and may not be redistributed.
 * For more information, see http://vuo.org/license.
 */

extern "C" {
#include "TestVuoTypes.h"
#include "VuoPoint3d.h"
}

// Be able to use this type in QTest::addColumn()
Q_DECLARE_METATYPE(VuoPoint3d);

/**
 * Tests the VuoPoint3d type.
 */
class TestVuoPoint3d : public QObject
{
	Q_OBJECT

private slots:
	void initTestCase()
	{
		initializeReferenceCounts();
	}

	void testStringConversion_data()
	{
		QTest::addColumn<QString>("initializer");
		QTest::addColumn<VuoPoint3d>("value");

		{
			VuoPoint3d p;
			p.x = -0.999;
			p.y = 0.42;
			p.z = 0.22;
			QTest::newRow("different values") << "{\"x\":-0.999, \"y\":0.42, \"z\":0.22}" << p;
		}
	}
	void testStringConversion()
	{
		QFETCH(QString, initializer);
		QFETCH(VuoPoint3d, value);

		VuoPoint3d p = VuoPoint3d_valueFromString(initializer.toUtf8().constData());

		QCOMPARE(p.x,value.x);
		QCOMPARE(p.y,value.y);
		QCOMPARE(p.z,value.z);
	}
};

QTEST_APPLESS_MAIN(TestVuoPoint3d)

#include "TestVuoPoint3d.moc"

