/**
 * @file
 * VuoCountWrapMode implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "type.h"
#include "VuoCountWrapMode.h"

/// @{
#ifdef VUO_COMPILER
const char * moduleName = "CountWrapMode";
const char * moduleDescription = "Wrap Mode Enum.";
const unsigned int moduleVersion = 100;
const char * moduleKeywords[] = { "wrap" };
const char * moduleDependencies[] = { "c" };
#endif
/// @}

/**
 * @ingroup VuoCountWrapMode
 * Parses the C string @c initializer to create a new value.
 */
VuoCountWrapMode VuoCountWrapMode_valueFromString(const char * initializer)
{
	/// @todo This function body will be generated by vuo-compile (https://b33p.net/kosada/node/5521)
	json_object * js = json_tokener_parse(initializer);
	VuoCountWrapMode value = VuoCountWrapMode_valueFromJson(js);
	json_object_put(js);
	return value;
}

/**
 * @ingroup VuoCountWrapMode
 * Serializes @c value as a C string.
 */
char * VuoCountWrapMode_stringFromValue(const VuoCountWrapMode value)
{
	/// @todo This function body will be generated by vuo-compile (https://b33p.net/kosada/node/5521)
	json_object *js = VuoCountWrapMode_jsonFromValue(value);
	char *string = strdup(json_object_to_json_string_ext(js,JSON_C_TO_STRING_PLAIN));
	json_object_put(js);
	return string;
}

/**
 * @ingroup VuoCountWrapMode
 * Decodes the JSON object @c js, expected to contain a string, to create a new @c VuoCountWrapMode.
 */
VuoCountWrapMode VuoCountWrapMode_valueFromJson(json_object *js)
{
	const char *valueAsString = "";
	if (json_object_get_type(js) == json_type_string)
		valueAsString = json_object_get_string(js);

	VuoCountWrapMode value = VuoCountWrapMode_Wrap;

	if (! strcmp(valueAsString, "wrap")) {
		value = VuoCountWrapMode_Wrap;
	} else if (! strcmp(valueAsString, "saturate")) {
		value = VuoCountWrapMode_Saturate;
	}

	return value;
}

/**
 * @ingroup VuoCountWrapMode
 * Encodes @c value as a JSON object.
 */
json_object * VuoCountWrapMode_jsonFromValue(const VuoCountWrapMode value)
{
	char *valueAsString = "";

	switch (value) {
		case VuoCountWrapMode_Wrap:
			valueAsString = "wrap";
			break;
		case VuoCountWrapMode_Saturate:
			valueAsString = "saturate";
			break;
	}

	return json_object_new_string(valueAsString);
}

/**
 * @ingroup VuoCountWrapMode
 * Same as @c %VuoCountWrapMode_stringFromValue()
 */
char * VuoCountWrapMode_summaryFromValue(const VuoCountWrapMode value)
{
	return VuoCountWrapMode_stringFromValue(value);
}
