TEMPLATE = lib
CONFIG += staticlib icu json
TARGET = VuoTypeList

include(../../vuo.pri)

OTHER_FILES += \
	VuoList.cc \
	VuoList.h


# Generate the list type variants, and build the generated list type variants.
# The number after the colon means:
#    0 — type is not reference counted
#    1 — type is reference counted, using vuoRetain() and vuoRelease()
#    2 — type is reference counted, using ELEMENT_TYPE_retain() and ELEMENT_TYPE_release()
TYPE_LIST_SOURCES = $$system( ./generateVariants.sh \
		VuoBoolean:0 \
		VuoImage:1 \
		VuoInteger:0 \
		VuoMIDIDevice:2 \
		VuoPoint2d:0 \
		VuoPoint3d:0 \
		VuoPoint4d:0 \
		VuoReal:0 \
		VuoSceneObject:2 \
		VuoVertices:2 \
		VuoText:1 \
	)

include(../type.pri)

typeList.input = TYPE_LIST_SOURCES
typeList.output = ${QMAKE_FILE_IN_BASE}.bc
typeList.depends = $$OTHER_FILES ../*.h
typeList.commands  = $$VUOCOMPILE $$VUOCOMPILE_TYPE_FLAGS --output ${QMAKE_FILE_OUT} ${QMAKE_FILE_IN}
typeList.variable_out = TYPE_LIST_OBJECTS
typeList.CONFIG = target_predeps
QMAKE_EXTRA_COMPILERS += typeList

SOURCES = $$TYPE_LIST_SOURCES

HEADERS = VuoList_*.h

INCLUDEPATH += \
	$$ROOT/type \
	$$ROOT/runtime

QMAKE_CLEAN += VuoList_*.cc VuoList_*.h *.bc
